Bug 225728 - iwm driver for 7265 says ieee80211_new_state_locked: pending SCAN -> AUTH transition lost
Summary: iwm driver for 7265 says ieee80211_new_state_locked: pending SCAN -> AUTH tra...
Status: New
Alias: None
Product: Base System
Classification: Unclassified
Component: kern (show other bugs)
Version: CURRENT
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-wireless (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-02-07 09:10 UTC by Gleb Popov
Modified: 2020-05-21 19:13 UTC (History)
3 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Gleb Popov freebsd_committer 2018-02-07 09:10:07 UTC
I'm running 12-CURRENT on Asus ROG GL553VE. WiFi works fine, except sometimes the connection breaks with following output in dmesg:

wlan0: ieee80211_new_state_locked: pending SCAN -> AUTH transition lost
iwm0: dumping device error log
iwm0: Start Error Log Dump:
iwm0: Status: 0x3, count: 6
iwm0: 0x00003001 | ADVANCED_SYSASSERT          
iwm0: 000002F0 | trm_hw_status0
iwm0: 00000000 | trm_hw_status1
iwm0: 00043850 | branchlink2
iwm0: 0004A5E8 | interruptlink1
iwm0: 00000000 | interruptlink2
iwm0: 00000001 | data1
iwm0: 00000000 | data2
iwm0: DEADBEEF | data3
iwm0: 003FC585 | beacon time
iwm0: 00003A9E | tsf low
iwm0: 00000000 | tsf hi
iwm0: 00000000 | time gp1
iwm0: 00003A9F | time gp2
iwm0: 00000000 | uCode revision type
iwm0: 00000016 | uCode version major
iwm0: 00058404 | uCode version minor
iwm0: 00000210 | hw version
iwm0: 00009000 | board version
iwm0: 092B002B | hcmd
iwm0: 00022082 | isr0
iwm0: 00000000 | isr1
iwm0: 00000002 | isr2
iwm0: 004050C0 | isr3
iwm0: 00000000 | isr4
iwm0: 01000112 | last cmd Id
iwm0: 00000000 | wait_event
iwm0: 000000C0 | l2p_control
iwm0: 00000020 | l2p_duration
iwm0: 00000000 | l2p_mhvalid
iwm0: 00000000 | l2p_addr_match
iwm0: 00000005 | lmpm_pmg_sel
iwm0: 03071928 | timestamp
iwm0: 00003038 | flow_handler
iwm0: driver status:
iwm0:   tx ring  0: qid=0  cur=1   queued=1  
iwm0:   tx ring  1: qid=1  cur=0   queued=0  
iwm0:   tx ring  2: qid=2  cur=0   queued=0  
iwm0:   tx ring  3: qid=3  cur=0   queued=0  
iwm0:   tx ring  4: qid=4  cur=0   queued=0  
iwm0:   tx ring  5: qid=5  cur=0   queued=0  
iwm0:   tx ring  6: qid=6  cur=0   queued=0  
iwm0:   tx ring  7: qid=7  cur=0   queued=0  
iwm0:   tx ring  8: qid=8  cur=0   queued=0  
iwm0:   tx ring  9: qid=9  cur=44  queued=1  
iwm0:   tx ring 10: qid=10 cur=0   queued=0  
iwm0:   tx ring 11: qid=11 cur=0   queued=0  
iwm0:   tx ring 12: qid=12 cur=0   queued=0  
iwm0:   tx ring 13: qid=13 cur=0   queued=0  
iwm0:   tx ring 14: qid=14 cur=0   queued=0  
iwm0:   tx ring 15: qid=15 cur=0   queued=0  
iwm0:   tx ring 16: qid=16 cur=0   queued=0  
iwm0:   tx ring 17: qid=17 cur=0   queued=0  
iwm0:   tx ring 18: qid=18 cur=0   queued=0  
iwm0:   tx ring 19: qid=19 cur=0   queued=0  
iwm0:   tx ring 20: qid=20 cur=0   queued=0  
iwm0:   tx ring 21: qid=21 cur=0   queued=0  
iwm0:   tx ring 22: qid=22 cur=0   queued=0  
iwm0:   tx ring 23: qid=23 cur=0   queued=0  
iwm0:   tx ring 24: qid=24 cur=0   queued=0  
iwm0:   tx ring 25: qid=25 cur=0   queued=0  
iwm0:   tx ring 26: qid=26 cur=0   queued=0  
iwm0:   tx ring 27: qid=27 cur=0   queued=0  
iwm0:   tx ring 28: qid=28 cur=0   queued=0  
iwm0:   tx ring 29: qid=29 cur=0   queued=0  
iwm0:   tx ring 30: qid=30 cur=0   queued=0  
iwm0:   rx ring: cur=51
iwm0:   802.11 state 2
iwm0: iwm_intr: controller panicked, iv_state = 2; restarting
iwm0: Failed to send binding (action:1): 35
iwm0: iwm_auth: binding update cmd
iwm0: iwm_newstate: could not move to auth state: 35
iwm0: iwm_newstate: Failed to remove station: 35
iwm0: iwm_mvm_mac_ctxt_send_cmd: Failed to send MAC context (action:2): 35
iwm0: iwm_newstate: Failed to change mac context: 35
iwm0: Failed to send binding (action:3): 35
iwm0: iwm_newstate: Failed to remove channel ctx: 35
iwm0: iwm_newstate: failed to update power management
Comment 1 Thomas Merkel 2018-05-02 08:16:29 UTC
I basically have the same issue on the Thinkpad X1 Carbon 6th Generation with FreeBSD-12-CURRENT. But somehow the disconnect and issue happen more often than only one time an hour, more like every 10 minutes:

-->8--
wlan0: ieee80211_new_state_locked: pending INIT -> AUTH transition lost
wlan0: link state changed to UP
wlan0: link state changed to DOWN
wlan0: ieee80211_new_state_locked: pending INIT -> AUTH transition lost
wlan0: link state changed to UP
wlan0: link state changed to DOWN
wlan0: ieee80211_new_state_locked: pending INIT -> AUTH transition lost
--8<--

If you can assist with "dumping device error log" I could provide that information as well. It somehow really depends on the access point the notebook is connected to.
Comment 2 Thomas Merkel 2018-05-04 06:20:29 UTC
Additional details from today:

-->8--
wlan0: link state changed to UP
wlan0: link state changed to DOWN
wlan0: Ethernet address: d4:6d:6d:62:4b:d4
wlan0: link state changed to UP
wlan0: link state changed to DOWN
wlan0: Ethernet address: d4:6d:6d:62:4b:d4
wlan0: link state changed to UP
wlan0: link state changed to DOWN
wlan0: ieee80211_new_state_locked: pending INIT -> SCAN transition lost
wlan0: link state changed to UP
wlan0: link state changed to DOWN
wlan0: ieee80211_new_state_locked: pending INIT -> AUTH transition lost
wlan0: link state changed to UP
wlan0: link state changed to DOWN
wlan0: Ethernet address: d4:6d:6d:62:4b:d4
wlan0: link state changed to UP
wlan0: link state changed to DOWN
wlan0: ieee80211_new_state_locked: pending INIT -> SCAN transition lost
wlan0: link state changed to UP
wlan0: link state changed to DOWN
wlan0: Ethernet address: d4:6d:6d:62:4b:d4
wlan0: link state changed to UP
wlan0: link state changed to DOWN
wlan0: ieee80211_new_state_locked: pending INIT -> SCAN transition lost
wlan0: link state changed to UP
wlan0: link state changed to DOWN
wlan0: ieee80211_new_state_locked: pending INIT -> SCAN transition lost
wlan0: link state changed to UP
wlan0: link state changed to DOWN
wlan0: ieee80211_new_state_locked: pending INIT -> SCAN transition lost
wlan0: Ethernet address: d4:6d:6d:62:4b:d4
wlan0: link state changed to UP
wlan0: link state changed to DOWN
wlan0: ieee80211_new_state_locked: pending INIT -> AUTH transition lost
wlan0: Ethernet address: d4:6d:6d:62:4b:d4
wlan0: Ethernet address: d4:6d:6d:62:4b:d4
wlan0: link state changed to UP
wlan0: link state changed to DOWN
wlan0: ieee80211_new_state_locked: pending INIT -> AUTH transition lost
wlan0: link state changed to UP
wlan0: link state changed to DOWN
wlan0: ieee80211_new_state_locked: pending INIT -> AUTH transition lost
wlan0: link state changed to UP
wlan0: link state changed to DOWN
wlan0: ieee80211_new_state_locked: pending INIT -> AUTH transition lost
wlan0: link state changed to UP
wlan0: link state changed to DOWN
wlan0: ieee80211_new_state_locked: pending INIT -> AUTH transition lost
wlan0: link state changed to UP
wlan0: link state changed to DOWN
wlan0: ieee80211_new_state_locked: pending INIT -> AUTH transition lost
wlan0: link state changed to UP
wlan0: link state changed to DOWN
wlan0: ieee80211_new_state_locked: pending INIT -> AUTH transition lost
wlan0: link state changed to UP
wlan0: link state changed to DOWN
wlan0: ieee80211_new_state_locked: pending INIT -> AUTH transition lost
wlan0: link state changed to UP
wlan0: link state changed to DOWN
wlan0: ieee80211_new_state_locked: pending INIT -> AUTH transition lost
wlan0: link state changed to UP
wlan0: link state changed to DOWN
wlan0: ieee80211_new_state_locked: pending INIT -> AUTH transition lost
wlan0: link state changed to UP
wlan0: link state changed to DOWN
wlan0: ieee80211_new_state_locked: pending INIT -> AUTH transition lost
wlan0: link state changed to UP
wlan0: link state changed to DOWN
wlan0: ieee80211_new_state_locked: pending INIT -> AUTH transition lost
iwm0: <Intel(R) Dual Band Wireless AC 8265> mem 0xee200000-0xee201fff at device 0.0 on pci1
iwm0: hw rev 0x230, fw ver 22.361476.0, address d4:6d:6d:62:4b:d4
wlan0: Ethernet address: d4:6d:6d:62:4b:d4
wlan0: link state changed to UP
wlan0: link state changed to DOWN
iwm0: dumping device error log
iwm0: Start Error Log Dump:
iwm0: Status: 0x3, count: 6
iwm0: 0x00001245 | ADVANCED_SYSASSERT          
iwm0: 000002F0 | trm_hw_status0
iwm0: 00000000 | trm_hw_status1
iwm0: 00005386 | branchlink2
iwm0: 000111F4 | interruptlink1
iwm0: 00000000 | interruptlink2
iwm0: 00000000 | data1
iwm0: 00000000 | data2
iwm0: 00000099 | data3
iwm0: 003FDFCA | beacon time
iwm0: 00002034 | tsf low
iwm0: 00000000 | tsf hi
iwm0: 00000000 | time gp1
iwm0: 00002035 | time gp2
iwm0: 00000000 | uCode revision type
iwm0: 00000016 | uCode version major
iwm0: 00058404 | uCode version minor
iwm0: 00000230 | hw version
iwm0: 00009000 | board version
iwm0: 0902006A | hcmd
iwm0: 00022080 | isr0
iwm0: 00000000 | isr1
iwm0: 28201802 | isr2
iwm0: 404001C0 | isr3
iwm0: 00000000 | isr4
iwm0: 04800118 | last cmd Id
iwm0: 00000000 | wait_event
iwm0: 00007FFF | l2p_control
iwm0: 00000000 | l2p_duration
iwm0: 00000000 | l2p_mhvalid
iwm0: 00000000 | l2p_addr_match
iwm0: 0000008F | lmpm_pmg_sel
iwm0: 03071928 | timestamp
iwm0: 00000010 | flow_handler
iwm0: Start UMAC Error Log Dump:
iwm0: Status: 0x3, count: 7
iwm0: 0x00000070 | ADVANCED_SYSASSERT
iwm0: 0x00000000 | umac branchlink1
iwm0: 0xC0082F64 | umac branchlink2
iwm0: 0xC0081000 | umac interruptlink1
iwm0: 0xC0081000 | umac interruptlink2
iwm0: 0x00000800 | umac data1
iwm0: 0xC0081000 | umac data2
iwm0: 0xDEADBEEF | umac data3
iwm0: 0x00000016 | umac major
iwm0: 0x00058404 | umac minor
iwm0: 0xC0886280 | frame pointer
iwm0: 0xC0886280 | stack pointer
iwm0: 0x0902006A | last host cmd
iwm0: 0x00000000 | isr status reg
iwm0: driver status:
iwm0:   tx ring  0: qid=0  cur=0   queued=0  
iwm0:   tx ring  1: qid=1  cur=0   queued=0  
iwm0:   tx ring  2: qid=2  cur=0   queued=0  
iwm0:   tx ring  3: qid=3  cur=0   queued=0  
iwm0:   tx ring  4: qid=4  cur=0   queued=0  
iwm0:   tx ring  5: qid=5  cur=0   queued=0  
iwm0:   tx ring  6: qid=6  cur=0   queued=0  
iwm0:   tx ring  7: qid=7  cur=0   queued=0  
iwm0:   tx ring  8: qid=8  cur=0   queued=0  
iwm0:   tx ring  9: qid=9  cur=3   queued=0  
iwm0:   tx ring 10: qid=10 cur=0   queued=0  
iwm0:   tx ring 11: qid=11 cur=0   queued=0  
iwm0:   tx ring 12: qid=12 cur=0   queued=0  
iwm0:   tx ring 13: qid=13 cur=0   queued=0  
iwm0:   tx ring 14: qid=14 cur=0   queued=0  
iwm0:   tx ring 15: qid=15 cur=0   queued=0  
iwm0:   tx ring 16: qid=16 cur=0   queued=0  
iwm0:   tx ring 17: qid=17 cur=0   queued=0  
iwm0:   tx ring 18: qid=18 cur=0   queued=0  
iwm0:   tx ring 19: qid=19 cur=0   queued=0  
iwm0:   tx ring 20: qid=20 cur=0   queued=0  
iwm0:   tx ring 21: qid=21 cur=0   queued=0  
iwm0:   tx ring 22: qid=22 cur=0   queued=0  
iwm0:   tx ring 23: qid=23 cur=0   queued=0  
iwm0:   tx ring 24: qid=24 cur=0   queued=0  
iwm0:   tx ring 25: qid=25 cur=0   queued=0  
iwm0:   tx ring 26: qid=26 cur=0   queued=0  
iwm0:   tx ring 27: qid=27 cur=0   queued=0  
iwm0:   tx ring 28: qid=28 cur=0   queued=0  
iwm0:   tx ring 29: qid=29 cur=0   queued=0  
iwm0:   tx ring 30: qid=30 cur=0   queued=0  
iwm0:   rx ring: cur=5
iwm0:   802.11 state 0
iwm0: iwm_intr: controller panicked, iv_state = 0; restarting
wlan0: ieee80211_new_state_locked: pending INIT -> AUTH transition lost
wlan0: link state changed to UP
wlan0: link state changed to DOWN
wlan0: ieee80211_new_state_locked: pending INIT -> AUTH transition lost
wlan0: link state changed to UP
wlan0: link state changed to DOWN
wlan0: ieee80211_new_state_locked: pending INIT -> AUTH transition lost
wlan0: link state changed to UP
wlan0: link state changed to DOWN
wlan0: ieee80211_new_state_locked: pending INIT -> AUTH transition lost
wlan0: link state changed to UP
--8<--
Comment 3 G. Paul Ziemba 2018-06-18 21:26:35 UTC
Seeing same issue on Thinkpad P50 with 11-stable from a few days ago. Wifi is not usable:

FreeBSD fmr 11.2-PRERELEASE FreeBSD 11.2-PRERELEASE #1 r335257: Mon Jun 18 11:10:19 PDT 2018     paul@fmr:/usr/obj/usr/src/sys/GENERIC  amd64


dmesg lines of interest:

iwm0: <Intel(R) Dual Band Wireless AC 8260> mem 0xb3c00000-0xb3c01fff at device 0.0 on pci2
iwm0: hw rev 0x200, fw ver 22.361476.0, address 14:ab:c5:cb:ad:cc

/var/log/messages has multiple instances of:

Jun 18 14:12:48 fmr kernel: wlan0: link state changed to UP
Jun 18 14:12:52 fmr kernel: wlan0: link state changed to DOWN
Jun 18 14:12:52 fmr kernel: wlan0: ieee80211_new_state_locked: pending INIT -> AUTH transition lost
Comment 4 Gleb Popov freebsd_committer 2020-05-17 12:12:28 UTC
It seems, I don't get these errors anymore.

Anyone else can verify that the problem still exists?